﻿@using BenhVien.UI.Models
@model DangKyKhamBenh
<style>
    .switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 34px;
    }

        .switch input {
            opacity: 0;
            width: 0;
            height: 0;
        }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
    }

        .slider:before {
            position: absolute;
            content: "";
            height: 26px;
            width: 26px;
            left: 4px;
            bottom: 4px;
            background-color: white;
            -webkit-transition: .4s;
            transition: .4s;
        }

    input:checked + .slider {
        background-color: #2196F3;
    }

    input:focus + .slider {
        box-shadow: 0 0 1px #2196F3;
    }

    input:checked + .slider:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
    }

    /* Rounded sliders */
    .slider.round {
        border-radius: 34px;
    }

        .slider.round:before {
            border-radius: 50%;
        }
</style>

<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Thông tin bệnh nhân</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="Id" name="Id" value="@(Model != null ? Model.KhamBenh.Id.ToString() : "" )" />
                <input type="hidden" id="userID" name="userID" value="@(Model != null ? Model.NguoiDung.Id.ToString() : "" )" />
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-4 col-sm-4 col-xs-12">
                        <label class="control-label" for="first-name">Chọn thông tin nếu đã có tài khoản: </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="NguoiDungID" name="NguoiDungID" disabled="@(Model != null)">
                                @Html.Raw(ViewBag.cbxBenhNhan)
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-4 col-sm-4 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumStatus.ACTIVE" @((Model != null && Model.NguoiDung.TrangThaiID == EnumStatus.ACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.ACTIVE)</option>
                                <option value="@EnumStatus.INACTIVE" @((Model != null && Model.NguoiDung.TrangThaiID == EnumStatus.INACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.INACTIVE)</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-4 col-sm-4 col-xs-12">
                        <label class="control-label" for="first-name">Số thứ tự phiếu</label>
                        <div>
                            <input type="text" class="form-control" readonly id="STT" name="STT" value="@(ViewBag.STT)" autocomplete="off">
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-4 col-sm-4 col-xs-12">
                        <label class="control-label" for="first-name">Kiểu khám bệnh</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="KieuKhamBenh">
                                @*<option value="@EnumKieuKhamBenh.CAP_CUU" @((Model != null && Model.KhamBenh.KieuKhamBenh == EnumKieuKhamBenh.CAP_CUU) ? "Selected" : "")>@EnumKieuKhamBenh.ToString(EnumKieuKhamBenh.CAP_CUU)</option>*@
                                <option value="@EnumKieuKhamBenh.DUNG_TUYEN" @((Model != null && Model.KhamBenh.KieuKhamBenh == EnumKieuKhamBenh.DUNG_TUYEN) ? "Selected" : "")>@EnumKieuKhamBenh.ToString(EnumKieuKhamBenh.DUNG_TUYEN)</option>
                                <option value="@EnumKieuKhamBenh.TRAI_TUYEN" @((Model != null && Model.KhamBenh.KieuKhamBenh == EnumKieuKhamBenh.TRAI_TUYEN) ? "Selected" : "")>@EnumKieuKhamBenh.ToString(EnumKieuKhamBenh.TRAI_TUYEN)</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-4 col-xs-12 clearfix">
                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label class="control-label" for="first-name">
                                Áp dụng BHYT
                            </label>
                            <div>

                                <input type="hidden" name="ApDungBHYT" value="@(Model != null?Model.KhamBenh.ApDungBHYT.ToString() :"")">
                                <div class="">
                                    <label class="switch">
                                        <input name="_IsTrangChu" type="checkbox" id="hienthi" @(Model != null && Model.KhamBenh.ApDungBHYT == EnumStatus.ACTIVE ? "checked" : "")>
                                        <span class="slider round"></span>
                                        <script>
                                            $("[name=_IsTrangChu]").change(function () {
                                                if ($(this).prop("checked")) {
                                                    $("[name=ApDungBHYT]").val('@EnumStatus.ACTIVE');
                                                    $('#TLMienGiam').removeAttr("readonly");
                                                    var kieu = $('[name=KieuKhamBenh]').val();
                                                    if(kieu == '@EnumKieuKhamBenh.DUNG_TUYEN'){
                                                        $('#TLMienGiam').val('80');
                                                    }else {
                                                        $('#TLMienGiam').val('30');
                                                    }
                                                } else {
                                                    $("[name=ApDungBHYT]").val('@EnumStatus.INACTIVE');
                                                    $('#TLMienGiam').attr("readonly", "true");
                                                    $('#TLMienGiam').val('0');

                                                }
                                            })
                                        </script>
                                    </label>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-4 col-sm-4 col-xs-12">
                        <label class="control-label" for="first-name">Miễn giảm BHYT</label>
                        <div>
                            <input type="text" class="form-control" readonly id="TLMienGiam" name="TLMienGiam" value="@(Model!= null && Model.NguoiDung != null ? Model.NguoiDung.TLMienGiam.ToString():"0")" autocomplete="off">
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Họ tên</label>
                        <div>
                            <input type="text" class="form-control" id="HoTen" name="HoTen" value="@(Model != null?Model.NguoiDung.HoTen : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Số điện thoại</label>
                        <div>
                            <input type="text" class="form-control" id="SDT" name="SDT" value="@(Model != null?Model.NguoiDung.SDT : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Email</label>
                        <div>
                            <input type="text" class="form-control" id="Email" name="Email" value="@(Model != null?Model.NguoiDung.Email : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày Sinh:</label>
                        <div>
                            <div class='input-group date datetimepicker1' id=''>
                                <input type='text' class="form-control" id="NgaySinh" name="NgaySinh" value="@(Model !=null ?Model.NguoiDung.NgaySinh != null?Model.NguoiDung.NgaySinh.Value.ToString("dd/MM/yyyy") :"":"")" autocomplete="off" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Tỉnh/ Thành phố</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="ThanhPhoID" name="ThanhPhoID">
                                @Html.Raw(ViewBag.cbxProvince)
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Quận/ Huyện:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="QuanHuyenID" name="QuanHuyenID">
                                <option value="">Chọn quận huyện....</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Xã/ Phường:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="PhuongXaID" id="PhuongXaID">
                                <option value="">Chọn xã phường....</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Giới tính:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="GioiTinh" id="GioiTinh">
                                <option value="" @(Model == null ? "selected" : "")>Chọn giới tính....</option>
                                <option value="1" @(Model != null && Model.NguoiDung.GioiTinh == 1 ? "selected" : "")>Nam</option>
                                <option value="2" @(Model != null && Model.NguoiDung.GioiTinh == 2 ? "selected" : "")>Nữ</option>
                                <option value="3" @(Model != null && Model.NguoiDung.GioiTinh == 3 ? "selected" : "")>Khác</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    @*<div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Khoa </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="KhoaID" id="KhoaID">
                                @Html.Raw(ViewBag.cbxKhoa)
                            </select>
                        </div>
                    </div>*@
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Dân tộc</label>
                        <div>
                            <input type="text" class="form-control" id="DanToc" name="DanToc" value="@(Model != null?Model.NguoiDung.DanToc : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Phòng khám </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="PhongID" id="PhongID">
                                @Html.Raw(ViewBag.cbxPhongKham)
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Bác sĩ khám bệnh </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="BacSiID" id="BacSiID">
                                <option value="">Chọn bác sĩ khám bệnh....</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Số CMND</label>
                        <div>
                            <input type="text" class="form-control" id="CMND" name="CMND" value="@(Model != null?Model.NguoiDung.CMND : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Nghề nghiệp</label>
                        <div>
                            <input type="text" class="form-control" id="NgheNghiep" name="NgheNghiep" value="@(Model != null?Model.NguoiDung.NgheNghiep : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Thẻ BHYT</label>
                        <input type="text" class="form-control" id="SoBHYT" name="SoBHYT" value="@(Model != null?Model.NguoiDung.SoBHYT : "" )" autocomplete="off" )>
                    </div>

                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày áp dụng:</label>
                        <div>
                            <div class='input-group date datetimepicker1' id=''>
                                <input type='text' class="form-control" id="NgayApDungBHYT" name="NgayApDungBHYT" value="@(Model !=null ?Model.NguoiDung.NgayApDungBHYT != null?Model.NguoiDung.NgayApDungBHYT.Value.ToString("dd/MM/yyyy") :"":"")" autocomplete="off" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày hết hạn:</label>
                        <div>
                            <div class='input-group date datetimepicker1' id=''>
                                <input type='text' class="form-control" id="NgayHetHanBHYT" name="NgayHetHanBHYT" value="@(Model !=null ?Model.NguoiDung.NgayHetHanBHYT != null?Model.NguoiDung.NgayHetHanBHYT.Value.ToString("dd/MM/yyyy") :"":"")" autocomplete="off" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Địa chỉ:</label>
                        <div>
                            <textarea id="DiaChi" name="DiaChi" class="form-control">@(Model != null ? Model.NguoiDung.DiaChi : "" )</textarea>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Mô tả tình trạng :</label>
                        <div>
                            <textarea id="Mota" name="Mota" class="form-control"></textarea>
                        </div>
                    </div>
                </div>

            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="submit" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        }).on("dp.change", function (e) {
            $('#frm-capnhat1').formValidation('updateStatus', 'BirthDay', 'NOT_VALIDATED').formValidation('validateField', 'BirthDay');
        });
        debugger;
        let data =  @Html.Raw(Json.Encode(Model));
        console.log(data);
        if(data != null){
            if(data.KhamBenh.TrangThaiID =='@EnumTrangThaiKhamBenh.NOI_TRU')
                $('#frm-capnhat1 button').attr("disabled", "true");
        }

    });
    $(document).on("change", "[name=PhongID]", function () {
        debugger;
        var id = $('[name=PhongID]').val();
        var select = '';
        var params = {
            id: id,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetBacSiByPhong", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    //$('#PhongID').html(data.data.cbxPhong);
                    //$("#PhongID").selectpicker("refresh");
                    $('#BacSiID').html(data.data.cbxBacSi);
                    $("#BacSiID").selectpicker("refresh");

                }
            }
        });
    });
</script>
<script>
    $(document).ready(function () {
        debugger;
        $('[name=ThanhPhoID]').change();
    });
    $(function () {
        debugger;
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('[name=ThanhPhoID]').val('@(Model != null ? Model.NguoiDung.ThanhPhoID.ToString(): "")').change();
    });

    $(document).on("change", "[name=KieuKhamBenh]", function () {
        var isBHYT = $("[name=ApDungBHYT]").val();
        var kieu = $("[name=KieuKhamBenh]").val();
        if(isBHYT == '@EnumStatus.ACTIVE'){
            if(kieu == '@EnumKieuKhamBenh.DUNG_TUYEN'){
                $('#TLMienGiam').val('80');
            }else {
                $('#TLMienGiam').val('30');
            }
        }else {
            $('#TLMienGiam').val('0');
        }
    });
    $(document).on("change", "[name=QuanHuyenID]", function () {
        debugger;
        var district = $('[name=QuanHuyenID]').val();
        var select = '@(Model != null ? Model.NguoiDung.QuanHuyenID: null)';
        var params = {
            id: district,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetComuneByDistrict", "NguoiDung", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    $('#PhuongXaID').html(data.data);
                    $("#PhuongXaID").selectpicker("refresh");
                    $('#PhuongXaID').val('@(Model != null ? Model.NguoiDung.PhuongXaID.ToString(): "")').change();
                }
            }
        });
    });
    function fomartDate(jsonDate) {
        var currentTime = Date.parse(jsonDate.match(/\d+/)[0]);
        var month = currentTime.getMonth() + 1;
        var day = currentTime.getDate();
        var year = currentTime.getFullYear();
        var date = day + "/" + month + "/" + year;
        return date;
    }
    $(document).on("change", "[name=NguoiDungID]", function () {
        var params = {
            id : $('#NguoiDungID').val()
        }
        $.ajax({
            url: '/admin/kham-benh/get-info',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    var item = data.data;
                    $('[name=TrangThaiID]').val(item.TrangThaiID);
                    $('[name=CMND]').val(item.CMND);
                    $('[name=DanToc]').val(item.DanToc);
                    $('[name=DiaChi]').val(item.DiaChi);
                    $('[name=Email]').val(item.Email);
                    $('[name=GioiTinh]').val(item.GioiTinh).change();
                    $('[name=HoTen]').val(item.HoTen);
                    $('[name=KhoaID]').val(item.KhoaID).change();
                    //$('[name=Mota]').val(item.Mota);
                    $('[name=NgayApDungBHYT]').val(fomartDate(item.NgayApDungBHYT));
                    $('[name=NgayHetHanBHYT]').val(fomartDate(item.NgayHetHanBHYT));
                    $('[name=NgaySinh]').val(fomartDate(item.NgaySinh));
                    $('[name=NgheNghiep]').val(item.NgheNghiep);
                    $('[name=ThanhPhoID]').val(item.ThanhPhoID).change();
                    $('[name=QuanHuyenID]').val(item.QuanHuyenID).change();
                    $('[name=PhuongXaID]').val(item.PhuongXaID).change();
                    $('[name=SDT]').val(item.SDT);
                    $('[name=SoBHYT]').val(item.SoBHYT);
                }
            }
        });
    });
    $(document).on("change", "PhuongXaID", function () {
        $('#frm-capnhat1').formValidation('updateStatus', 'PhuongXaID', 'NOT_VALIDATED').formValidation('validateField', 'PhuongXaID');
    });
    $(document).on("change", "[name=ThanhPhoID]", function () {
        debugger;
        var province = $('[name=ThanhPhoID]').val();
        var select = '@(Model != null ? Model.NguoiDung.QuanHuyenID: null)';
        var params = {
            id: province,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetDistrictByProvince", "NguoiDung", new { area = "QuanTri" })',
            type: 'POST',
            async : false,
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    $('#QuanHuyenID').html(data.data);
                    $("#QuanHuyenID").selectpicker("refresh");
                    $('#QuanHuyenID').val('@(Model != null ? Model.NguoiDung.QuanHuyenID.ToString(): "")').change();
                    $('#frm-capnhat1').formValidation('updateStatus', 'QuanHuyenID', 'NOT_VALIDATED').formValidation('validateField', 'QuanHuyenID');
                }
            }
        });
    });


</script>
<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                TenDangNhap: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                debugger;
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 100) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 100 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }

                                var loginType = $('#LoginType').val();
                                if (loginType == '@EnumLoginType.PHONE') {
                                    var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                    if (value.length != 0 && vnf_regex.test(value) == false) {
                                        return {
                                            valid: false,
                                            message: 'Số điện thoại của bạn không đúng định dạng!'
                                        }
                                    }
                                    $('#Phone').val($('#UserName').val());

                                } else {
                                    $('#Email').val($('#UserName').val());
                                    $('#frm-capnhat1').formValidation('updateStatus', 'Email', 'NOT_VALIDATED').formValidation('validateField', 'Email');
                                }
                                return true;
                            }
                        }
                    }
                },
                Email: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 500) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 500 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                MatKhau: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                GioiTinh: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                KhoaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                DanToc: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                NgaySinh: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                LoaiNguoiDung: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                TrangThaiID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                ThanhPhoID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                QuanHuyenID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                PhuongXaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                PhongID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                BacSiID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                DiaChi: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 300) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 300 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                HoTen: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 100) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 100 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                SDT: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                if (value.length != 0 && vnf_regex.test(value) == false) {
                                    return {
                                        valid: false,
                                        message: 'Số điện thoại của bạn không đúng định dạng!'
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                TLMienGiam: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số đơn vị (%)'
                                    }
                                }
                                if (value > 100) {
                                    return {
                                        valid: false,
                                        message: 'Phần trăm không quá 100%'
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },


            }
        }).on('success.form.fv', function (e) {
            document.getElementById("btn-save1").disabled = true;
            e.preventDefault();
            $.ajax({
                url: '@Url.Action("BenhNhan_Update", "KhamBenh", new { area = "QuanTri" })',
                type: 'POST',
                dataType: 'json',
                mimeType: "multipart/form-data",
                contentType: false,
                processData: false,
                async: false,
                cache: false,
                data: new FormData(document.getElementById('frm-capnhat1')),
                success: function (data) {
                    if (data.kq == "ok") {
                        alertify.success(data.msg);
                        window.location.href = '@Url.Action("DangKy", "KhamBenh", new { area= "QuanTri" })';
                    }
                    else {
                        alertify.error(data.msg);
                        document.getElementById("btn-save1").disabled = false;
                        $("#btn-save1").removeClass("disabled");
                    }
                }
            });
        });
    });

</script>
